<p align="center">
  <img src="web-app/src/assets/img/reactdonis.jpg"/>
</p>

<p align="center">
  <a href="https://pt-br.reactjs.org/"><img src="https://img.shields.io/badge/ReactJS-16.x-blue"></a>
  <a href="https://redux.js.org/"><img src="https://img.shields.io/badge/Redux-4.0.x-blue"></a>
  <a href="https://github.com/reduxjs/redux-thunk"><img src="https://img.shields.io/badge/Redux Thunk-2.3.x-green"></a>
  <a href="https://reacttraining.com/react-router/web/guides/quick-start"><img src="https://img.shields.io/badge/React Router-5.1.x-blueviolet"></a>
  <a href="https://pm2.keymetrics.io/"><img src="https://img.shields.io/badge/PM2-4.2.x-orange"></a>
  <a href="https://nodejs.org/en/"><img src="https://img.shields.io/badge/Node-12.x-green"></a>
  <a href="https://www.postgresql.org/"><img src="https://img.shields.io/badge/Postgress-10-blue"></a>
  <a href="https://adonisjs.com/"><img src="https://img.shields.io/badge/AdonisJS-4.x-blueviolet"></a>
  <a href="https://www.npmjs.com/"><img src="https://img.shields.io/badge/NPM-6.x-red"></a>
  <a href="https://www.conventionalcommits.org/en/v1.0.0/"><img src="https://img.shields.io/badge/Commitizen-friendly-green"></a>
</p>

<hr>

## :bulb: Introduction 

A simple project starter with (Ngnix, Reactjs, Redux, Redux Thunk, React Router, AdonisJS, PostgreSQL, Docker, PM2) + (Conventional Changelog with Commitlint, Husky, Git CZ)

## :memo: Minimal Requirements

* NodeJs 12.x
* Docker 18.x
* Docker-compose 1.25.x

## 🚀 Install

```
$ git clone https://github.com/gabriel-roque/react-donis-docker-starter
$ cd react-donis-docker-starter
```

## :wrench: Configure in development

```
$ ./entrypoint-dev.sh
```

## :wrench: Configure in production

```
$ ./entrypoint-prod.sh
```

## 📈 Run app

```
$ docker-compose up -d
```

> Check **web-app** in http://localhost:3000/  for _**DEVELOPMENT**_ 

> Check **web-app** in http://localhost/ for _**PRODUCTION**_

> Check **api** in http://localhost:8080

## 👤 Authors

| Gabriel Roque |
| ------------- |
| <img src="https://avatars2.githubusercontent.com/u/32438220?s=460&v=4" width="110">  |
| <a href="https://github.com/gabriel-roque">Github</a>  |
| <a href="https://www.linkedin.com/in/gabriel-roque/">Linkedin</a> |


## 🤝 Contributing

Contributions, issues and feature requests are welcome!<br />Feel free to check [issues page](https://github.com/gabriel-roque/react-donis-docker-starter/issues). 

## Show your support

Give a ⭐️ if this project helped you!
